ADAM_2.12: Core 0.32.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# TranscriptEffect 

###
Companion object TranscriptEffect

#### case class TranscriptEffect(alternateAllele: Option[String] = None, effects: Seq[String] = Seq(), geneName: Option[String] = None, geneId: Option[String] = None, featureType: Option[String] = None, featureId: Option[String] = None, biotype: Option[String] = None, rank: Option[Int] = None, total: Option[Int] = None, genomicHgvs: Option[String] = None, transcriptHgvs: Option[String] = None, proteinHgvs: Option[String] = None, cdnaPosition: Option[Int] = None, cdnaLength: Option[Int] = None, cdsPosition: Option[Int] = None, cdsLength: Option[Int] = None, proteinPosition: Option[Int] = None, proteinLength: Option[Int] = None, distance: Option[Int] = None, messages: Seq[String] = Seq()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TranscriptEffect
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TranscriptEffect(alternateAllele: Option[String] = None, effects: Seq[String] = Seq(), geneName: Option[String] = None, geneId: Option[String] = None, featureType: Option[String] = None, featureId: Option[String] = None, biotype: Option[String] = None, rank: Option[Int] = None, total: Option[Int] = None, genomicHgvs: Option[String] = None, transcriptHgvs: Option[String] = None, proteinHgvs: Option[String] = None, cdnaPosition: Option[Int] = None, cdnaLength: Option[Int] = None, cdsPosition: Option[Int] = None, cdsLength: Option[Int] = None, proteinPosition: Option[Int] = None, proteinLength: Option[Int] = None, distance: Option[Int] = None, messages: Seq[String] = Seq())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alternateAllele: Option[String]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val biotype: Option[String]
7.  def canEqual(that: Any): Boolean
   Definition Classes
     TranscriptEffect → Equals
8.  val cdnaLength: Option[Int]
9.  val cdnaPosition: Option[Int]
10.  val cdsLength: Option[Int]
11.  val cdsPosition: Option[Int]
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
13.  val distance: Option[Int]
14.  val effects: Seq[String]
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  val featureId: Option[String]
17.  val featureType: Option[String]
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  val geneId: Option[String]
20.  val geneName: Option[String]
21.  val genomicHgvs: Option[String]
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val messages: Seq[String]
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def productArity: Int
    Definition Classes
      TranscriptEffect → Product
29.  def productElement(i: Int): Any
    Definition Classes
      TranscriptEffect → Product
30.  val proteinHgvs: Option[String]
31.  val proteinLength: Option[Int]
32.  val proteinPosition: Option[Int]
33.  val rank: Option[Int]
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toAvro: formats.avro.TranscriptEffect
36.  val total: Option[Int]
37.  val transcriptHgvs: Option[String]
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped